--- /dev/null
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: arexxd
+# Required-Start: $remote_fs $syslog ntp
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Starts arexxd
+# Description: Starts the Arexx data logger receiver daemon
+### END INIT INFO
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/local/sbin/arexxd
+NAME=arexxd
+DESC="Arexx data logger daemon"
+OPTIONS="--log-packets"
+
+. /lib/lsb/init-functions
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --quiet --start --chuid arexxd:arexxd --exec $DAEMON -- $OPTIONS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --quiet --oknodo --stop --user arexxd --exec $DAEMON
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --quiet --oknodo --stop --user arexxd --exec $DAEMON
+ sleep 1
+ start-stop-daemon --quiet --start --chuid arexxd:arexxd --exec $DAEMON -- $OPTIONS > /dev/null 2>&1
+ echo "$NAME."
+ ;;
+ status)
+ status_of_proc $DAEMON $NAME
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0